Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Class DOMException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.DOMException

public abstract class DOMException
extends java.lang.RuntimeException

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situation, such as out-of-bound errors when using `NodeList`.

Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a `null` argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

See Also:
  Serialized Form

Field Summary
`short` | `code` Indicates the type of error that the DOM implementation is reporting.
`static short` | `DOMSTRING_SIZE_ERR` If the specified range of text does not fit into a String
`static short` | `HIERARCHY_REQUEST_ERR` If any node is inserted somewhere it doesn't belong
`static short` | `INDEX_SIZE_ERR` If index or size is negative, or greater than the allowed value
`static short` | `INUSE_ATTRIBUTE_ERR` If an attempt is made to add an attribute that is already inuse elsewhere
`static short` | `INVALID_CHARACTER_ERR` If an invalid character is specified, such as in a name.
`static short` | `NO_DATA_ALLOWED_ERR` If data is specified for a node which does not support data
`static short` | `NO_MODIFICATION_ALLOWED_ERR` If an attempt is made to modify an object where modifications are not allowed
`static short` | `NOT_FOUND_ERR` If an attempt was made to reference a node in a context where it does not exist
`static short` | `NOT_SUPPORTED_ERR` If the implementation does not support the type of object requested
`static short` | `WRONG_DOCUMENT_ERR` If a node is used in a different document than the one that created it (that doesn't support it)

Constructor Summary
`DOMException(short code, java.lang.String message)` Constructs an exception with the specified descriptive detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

  Indicates the type of error that the DOM implementation is reporting. This value is one of the *_ERR codes.

### INDEX_SIZE_ERR

    public static final short INDEX_SIZE_ERR

  If index or size is negative, or greater than the allowed value

### DOMSTRING_SIZE_ERR

    public static final short DOMSTRING_SIZE_ERR

  If the specified range of text does not fit into a String

### HIERARCHY_REQUEST_ERR

    public static final short HIERARCHY_REQUEST_ERR

  If any node is inserted somewhere it doesn't belong

### WRONG_DOCUMENT_ERR

    public static final short WRONG_DOCUMENT_ERR

  If a node is used in a different document than the one that created it (that doesn't support it)

### INVALID_CHARACTER_ERR

    public static final short INVALID_CHARACTER_ERR

  If an invalid character is specified, such as in a name.

### NO_DATA_ALLOWED_ERR

    public static final short NO_DATA_ALLOWED_ERR

  If data is specified for a node which does not support data

### NO_MODIFICATION_ALLOWED_ERR

    public static final short NO_MODIFICATION_ALLOWED_ERR

  If an attempt is made to modify an object where modifications are not allowed

### NOT_FOUND_ERR

    public static final short NOT_FOUND_ERR

  If an attempt was made to reference a node in a context where it does not exist

### NOT_SUPPORTED_ERR

    public static final short NOT_SUPPORTED_ERR

  If the implementation does not support the type of object requested

### INUSE_ATTRIBUTE_ERR

    public static final short INUSE_ATTRIBUTE_ERR

  If an attempt is made to add an attribute that is already inuse elsewhere

Constructor Detail

### DOMException

    public DOMException(short code,
                        java.lang.String message)

  Constructs an exception with the specified descriptive detail message.
  Parameters:
    `code` - Integer indicating type of error
    `message` - Descriptive message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to xml-feedback@java.sun.com
Copyright © 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
Sun Microsystems, Inc.
901 San Antonio Road
Palo Alto, California, 94303, U.S.A.